Template:Language - Python Intro Linux

From Phidgets Support
Jump to: navigation, search

Install Phidget Drivers for Linux

Before getting started with the guides below, ensure you have the following components installed on your machine:

  1. You will need the Phidgets Linux Drivers
  2. You will need a version of Python installed on your machine (both 2.7 and 3.6 are compatible with Phidgets).


The recommended way to install the Phidget22 Python module is using the PIP package manager.

Python versions 2.7.9+ and 3.4+ include PIP by default. To install the Phidget22 Python module with PIP, simply open the Terminal and enter the command:

pip3 install Phidget22

pip install Phidget22

To install the Phidget22 Python module without PIP, you will need to download the Phidget22 Python module.

After unpacking the Phidget Python module, open the terminal at folder location and enter the following command:

python setup.py install

This will build the module and install the Python module files into your site-packages directory.

Python linux install.PNG